# std::atomic< _Tp > Struct Template Reference
[Atomics]

atomic 29.4.3, Generic atomic type, primary class template. More...

List of all members.

## Public Member Functions

- atomic (_Tp __i)
- atomic (const atomic &)
- bool compare_exchange_strong (_Tp &, _Tp, memory_order=memory_order_seq_cst) volatile
- bool compare_exchange_strong (_Tp &, _Tp, memory_order, memory_order) volatile
- bool compare_exchange_weak (_Tp &, _Tp, memory_order=memory_order_seq_cst) volatile
- bool compare_exchange_weak (_Tp &, _Tp, memory_order, memory_order) volatile
- _Tp exchange (_Tp __i, memory_order=memory_order_seq_cst) volatile
- bool is_lock_free () const volatile
- _Tp load (memory_order=memory_order_seq_cst) const volatile
- operator _Tp () const volatile
- _Tp operator= (_Tp __i) volatile
- atomic & operator= (const atomic &)
- void store (_Tp, memory_order=memory_order_seq_cst) volatile

## Detailed Description

### template<typename _Tp>
struct std::atomic< _Tp >

atomic 29.4.3, Generic atomic type, primary class template.

Definition at line 93 of file cstdatomic.

The documentation for this struct was generated from the following file:

- cstdatomic